<?xml version="1.0" encoding="utf-8" ?>
<project name="Example.RegularExpressions">
  <version>1.0.0.1</version>
  <title>Example.RegularExpressions</title>
  <product>RegexCompiler</product>
  <copyright>© 2007 Kris Vandermotten</copyright>
  <strongNameKeyFile>key.snk</strongNameKeyFile>
  <regex>
    <name>EmailRegex</name>
    <namespace>Example.RegularExpressions.Validations</namespace>
    <pattern>^(?!\.)[a-zA-Z0-9!#\$%&amp;'\*\+-/=\?\^_`\|~\.]+(?&lt;!\.)@(\w+[\-\.])*\w{1,63}\.[a-zA-Z]{2,6}$</pattern>
    <options>ExplicitCapture</options>
    <doc>
      <summary>Regular expression class to validate email addresses</summary>
      <remarks>
        According to RFC 2822, the local-part of the address may use any of these ASCII characters:
        <list>
          <item>Uppercase and lowercase letters (case sensitive)</item>
          <item>The digits 0 through 9</item>
          <item>The characters ! # $ % &amp; ' * + - / = ? ^ _ ` { | } ~</item>
          <item>The character . provided that it is not the first or last character in the local-part.</item>
        </list>
        .NET doesn't like { and }
      </remarks>
    </doc>
  </regex>
  <regex>
    <name>PhoneRegex</name>
    <namespace>Example.RegularExpressions.Validations</namespace>
    <pattern>^(\+\d{1,3})?\s?(\(\d{1,3}\))?[\d-/\s\.]+$</pattern>
    <options>ExplicitCapture</options>
  </regex>
  <regex>
    <name>SumRegex</name>
    <namespace>Example.RegularExpressions.Validations</namespace>
    <pattern>^\d+(\s*\+\s*\d+)*$</pattern>
    <options>ExplicitCapture</options>
  </regex>
  <regex>
    <name>ImportRegex</name>
    <namespace>Example.RegularExpressions.Parsers</namespace>
    <pattern>^\[IMPORT\((?&lt;name&gt;.+)\)\]$</pattern>
    <options>ExplicitCapture</options>
  </regex>
  <regex>
    <name>BracketFieldRegex</name>
    <namespace>Example.RegularExpressions.Parsers</namespace>
    <pattern>\[[^\[\]]{1,80}\]</pattern>
    <options>ExplicitCapture</options>
  </regex>
</project>
